petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoMonitor

Monitor the solver and the current solution. This routine will record the iteration number and residual statistics, call any monitors specified by the user, and calls the convergence-check routine.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitor(Tao tao, PetscInt its, PetscReal f, PetscReal res, PetscReal cnorm, PetscReal steplength, TaoConvergedReason *reason)

### Input Parameters

| tao | - the Tao context Many br
| its | - the current iterate number (>=0) Many br
| f | - the current objective function value Many br
| res | - the gradient norm, square root of the duality gap, or other measure indicating distince from optimality. This measure will be recorded and Many brused for some termination tests. Many br
| cnorm | - the infeasibility of the current solution with regard to the constraints. Many br
| steplength | - multiple of the step direction added to the previous iterate. Many br

### Output Parameters

reason -The termination reason, which can equal TAO_CONTINUE_ITERATING Many br

### Options Database Key

-tao_monitor -Use the default monitor, which prints statistics to standard output Many br

### See Also

TaoGetConvergedReason(), TaoDefaultMonitor(), TaoSetMonitor()

Many br

Level:developer
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages